OpenVDB 13.0.0

Loading...
Searching...
No Matches
BuildTraits< T > Struct Template Reference

Define static boolean tests for template build types. More...

`#include <nanovdb/NanoVDB.h>`

## Static Public Attributes
static constexpr bool | is_index = util::is_same<T, ValueIndex, ValueOnIndex>::value
static constexpr bool | is_onindex = util::is_same<T, ValueOnIndex>::value
static constexpr bool | is_offindex = util::is_same<T, ValueIndex>::value
static constexpr bool | is_FpX = util::is_same<T, Fp4, Fp8, Fp16>::value
static constexpr bool | is_Fp = util::is_same<T, Fp4, Fp8, Fp16, FpN>::value
static constexpr bool | is_float = util::is_floating_point<T>::value
static constexpr bool | is_special = is_index || is_Fp || util::is_same<T, Point, bool, ValueMask>::value

## Detailed Description

template<typename T>
struct nanovdb::BuildTraits< T >

Define static boolean tests for template build types.

## Member Data Documentation

## ◆ is_float

template<typename T>

bool is_float = util::is_floating_point<T>::value
| static constexpr

## ◆ is_Fp

template<typename T>

bool is_Fp = util::is_same<T, Fp4, Fp8, Fp16, FpN>::value
| static constexpr

## ◆ is_FpX

template<typename T>

bool is_FpX = util::is_same<T, Fp4, Fp8, Fp16>::value
| static constexpr

## ◆ is_index

template<typename T>

bool is_index = util::is_same<T, ValueIndex, ValueOnIndex>::value
| static constexpr

## ◆ is_offindex

template<typename T>

bool is_offindex = util::is_same<T, ValueIndex>::value
| static constexpr

## ◆ is_onindex

template<typename T>

bool is_onindex = util::is_same<T, ValueOnIndex>::value
| static constexpr

## ◆ is_special

template<typename T>

bool is_special = is_index || is_Fp || util::is_same<T, Point, bool, ValueMask>::value
| static constexpr